image: python:3.9-buster

before_script:
  - apt-get update
  - apt install -y xvfb libssl-dev firefox-dev firefox-geckodriver openssl
  - openssl req -new -x509 -keyout server.pem -out server.pem -days 365 -nodes
  - pip install -r requirements.txt

  # - 'command -v ssh-agent >/dev/null || ( apt-get update -y && apt-get install openssh-client -y )'
  ##
  ## Run ssh-agent (inside the build environment)
  ##
  # - eval $(ssh-agent -s)
  ##
  ## Add the SSH key stored in SSH_PRIVATE_KEY variable to the agent store
  ## We're using tr to fix line endings which makes ed25519 keys work
  ## without extra base64 encoding.
  ## https://gitlab.com/gitlab-examples/ssh-private-key/issues/1#note_48526556
  ##
  # - echo "$SSH_PRIVATE_KEY" | tr -d '\r' | ssh-add -
  - echo "$client_secret" > src/unlearn/client_secret.txt
  - echo "$client_id" > src/unlearn/client_id.txt
  - echo "$username" > src/unlearn/username.txt
  - echo "$password" > src/unlearn/password.txt

  - cat src/unlearn/client_secret.txt
  - cat src/unlearn/client_id.txt
  - cat src/unlearn/username.txt
  - cat src/unlearn/password.txt
  ##
  ## Create the SSH directory and give it the right permissions
  ##
  # - mkdir -p ~/.ssh
  # - chmod 700 ~/.ssh

pages:
  stage: deploy
  script:
    - pwd
    - cd src
    - xvfb-run -s "-screen 0 1400x900x24" python -m unlearn.tokenpage
#    - python -m unlearn.tokenpage
    - cd ..
    - ls
    - pwd
  artifacts:
    paths:
      - public

